<% local form, viewlibrary, page_info, session = ... %>
<% htmlviewfunctions = require("htmlviewfunctions") %>
<% html = require("acf.html") %>

<script type="text/javascript">
        if (typeof jQuery == 'undefined') {
		document.write('<script type="text/javascript" src="<%= html.html_escape(page_info.wwwprefix) %>/js/jquery-latest.js"><\/script>');
	}
</script>
	
<script type="text/javascript">
	if (typeof $.tablesorter == 'undefined') {
		document.write('<script type="text/javascript" src="<%= html.html_escape(page_info.wwwprefix) %>/js/jquery.tablesorter.js"><\/script>');
	}
</script>
	
<script type="text/javascript">
	$(document).ready(function() {
		$("#toplevellist").tablesorter({headers: {0:{sorter: false}}, widgets: ['zebra']});
		$("#dependentlist").tablesorter({headers: {0:{sorter: false}}, widgets: ['zebra']});
	});
</script>

<% htmlviewfunctions.displaycommandresults({"delete", "install", "upgrade"}, session) %>

<% local header_level = htmlviewfunctions.displaysectionstart(form, page_info) %>
<% local header_level2 = htmlviewfunctions.displaysectionstart(form.value.toplevel, page_info, htmlviewfunctions.incrementheader(header_level)) %>
<table id="toplevellist" class="tablesorter"><thead>
	<tr>
	<% if viewlibrary.check_permission("delete") or viewlibrary.check_permission("upgrade") then %>
		<th>Action</th>
	<% end %>
		<th>Package Name</th>
		<th>Version</th>
		<th>Description</th>
	</tr>
</thead><tbody>
<% local packagecfe = cfe({ type="hidden", value="" }) %>
<% for i,packagetable in pairs(form.value.toplevel.value) do %>
	<tr>
	<% if viewlibrary.check_permission("delete") or viewlibrary.check_permission("upgrade") or viewlibrary.check_permission("details") then %>
		<% packagecfe.value = packagetable.name %>
		<td>
		<% if viewlibrary.check_permission("delete") then %>
			<% htmlviewfunctions.displayitem(cfe({type="form", value={package=packagecfe}, label="", option="Delete", action="delete" }), page_info, -1) %>
		<% end %>
		<% if viewlibrary.check_permission("upgrade") and packagetable.upgrade then %>
			<% htmlviewfunctions.displayitem(cfe({type="form", value={package=packagecfe}, label="", option="Upgrade", action="upgrade" }), page_info, -1) %>
		<% end %>
		<% if viewlibrary.check_permission("details") then %>
			<% htmlviewfunctions.displayitem(cfe({type="form", value={package=packagecfe}, label="", option="View", action="details" }), page_info, -1) %>
		<% end %>
		</td>
	<% end %>
		<td><%= html.html_escape(packagetable.name) %></td>
		<td><%= html.html_escape(packagetable.version) %></td>
		<td><%= html.html_escape(packagetable.description) %></td>
	</tr>
<% end %>
</tbody></table>
<% htmlviewfunctions.displaysectionend(header_level2) %>

<% htmlviewfunctions.displaysectionstart(form.value.dependent, page_info, header_level2) %>
<table id="dependentlist" class="tablesorter"><thead>
	<tr>
	<% if viewlibrary.check_permission("install") or viewlibrary.check_permission("upgrade") then %>
		<th>Action</th>
	<% end %>
		<th>Package Name</th>
		<th>Version</th>
		<th>Description</th>
	</tr>
</thead><tbody>
<% for i,packagetable in pairs(form.value.dependent.value) do %>
	<tr>
	<% if viewlibrary.check_permission("install") or viewlibrary.check_permission("upgrade") or viewlibrary.check_permission("details") then %>
		<% packagecfe.value = packagetable.name %>
		<td>
		<% if viewlibrary.check_permission("install") then %>
			<% htmlviewfunctions.displayitem(cfe({type="form", value={package=packagecfe}, label="", option="Promote", action="install" }), page_info, -1) %>
		<% end %>
		<% if viewlibrary.check_permission("upgrade") and packagetable.upgrade then %>
			<% htmlviewfunctions.displayitem(cfe({type="form", value={package=packagecfe}, label="", option="Upgrade", action="upgrade" }), page_info, -1) %>
		<% end %>
		<% if viewlibrary.check_permission("details") then %>
			<% htmlviewfunctions.displayitem(cfe({type="form", value={package=packagecfe}, label="", option="View", action="details" }), page_info, -1) %>
		<% end %>
		</td>
	<% end %>
		<td><%= html.html_escape(packagetable.name) %></td>
		<td><%= html.html_escape(packagetable.version) %></td>
		<td><%= html.html_escape(packagetable.description) %></td>
	</tr>
<% end %>
</tbody></table>
<% htmlviewfunctions.displaysectionend(header_level2) %>
<% htmlviewfunctions.displaysectionend(header_level) %>
